Subject: Re: bug#19206: 25.0.50; CC Mode tracks wrong source files

From: Stefan Monnier <[email-masked]>
Date: Sun, 07 Dec 2014 21:59:32 -0500

> +(defun cc-bytecomp-compiling-or-loading ()
> +  ;; Determine whether byte-compilation or loading is currently active,
> +  ;; returning 'compiling, 'loading or nil.
> +  ;; If both are active, the "innermost" activity counts.  Note that
> +  ;; compilation can trigger loading (various `require' type forms)
> +  ;; and loading can trigger compilation (the package manager does
> +  ;; this).  We walk the lisp stack if necessary.

I think this deserves a longish and complete explanation of the context,
i.e. *why* do we need to know the file name, in which circumstances it's
used and why other solutions to those problems are worse than this
hideous hack,

        Stefan